<?php

# In der datenbank 'sternwarte' in der Tabelle SoFue alle Werte
# von atermin, die auf 000... stehen, auf 1900... setzen

include '../dbaseconf.php';
    

// Einlesen einer Tabelle und rausspeichern auf die Test-Tabelle
function fillatermin($dbh,$from1) {
    $query = "select id from $from1 where atermin = '0000-00-00 00:00:00'";
    $rows = mysqli_query($dbh,$query)  or die (mysqli_error($dbh));
    foreach($rows as $row) {
        $mid = $row['id'];
        $query = "update $from1 set atermin=DEFAULT where id=$mid";
        $result = mysqli_query($dbh,$query)  or die (mysqli_error($dbh));
    }
    echo "atermin auf 1900-01-01 gesetzt";
}

fillatermin($dbh, 'SoFue');

?>